Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CglBK Class Reference

For Bron-Kerbosch. More...

`#include <CglPreProcess.hpp>`

Collaboration diagram for CglBK:
[legend]

## Public Member Functions
Main methods
void | bronKerbosch ()
| For recursive Bron-Kerbosch. More...
OsiSolverInterface * | newSolver (const OsiSolverInterface &model)
| Creates strengthened smaller model. More...
Constructors and destructors etc
| CglBK ()
| Default constructor. More...
| CglBK (const OsiSolverInterface &model, const char *rowType, int numberElements)
| Useful constructor. More...
| CglBK (const CglBK &rhs)
| Copy constructor . More...
CglBK & | operator= (const CglBK &rhs)
| Assignment operator. More...
| ~CglBK ()
| Destructor. More...

## Private Attributes
Private member data
int * | candidates_
| Current candidates (created at each level) More...
char * | mark_
| Array to mark stuff. More...
CoinBigIndex * | start_
| Starts for graph (numberPossible+1) More...
int * | otherColumn_
| Other column/node. More...
int * | originalRow_
| Original row (in parallel with otherColumn_) More...
int * | dominated_
| How many times each original row dominated. More...
CoinPackedMatrix * | cliqueMatrix_
| Clique entries. More...
const char * | rowType_
| points to row types More...
int | numberColumns_
| Number of original columns. More...
int | numberRows_
| Number of original rows. More...
int | numberPossible_
| Number possible. More...
int | numberCandidates_
| Current number of candidates. More...
int | firstNot_
| First not (stored backwards from numberPossible_) More...
int | numberIn_
| Current number in clique. More...
int | left_
| For acceleration. More...
int | lastColumn_

## Detailed Description

For Bron-Kerbosch.

Definition at line 463 of file CglPreProcess.hpp.

## Constructor & Destructor Documentation

CglBK::CglBK | ( |  | ) |

Default constructor.

CglBK::CglBK | ( | const OsiSolverInterface & | model,
|  | const char * | rowType,
|  | int | numberElements
| ) |  |

Useful constructor.

CglBK::CglBK | ( | const CglBK & | rhs | ) |

Copy constructor .

CglBK::~CglBK | ( |  | ) |

Destructor.

## Member Function Documentation

void CglBK::bronKerbosch | ( |  | ) |

For recursive Bron-Kerbosch.

OsiSolverInterface* CglBK::newSolver | ( | const OsiSolverInterface & | model | ) |

Creates strengthened smaller model.

CglBK& CglBK::operator= | ( | const CglBK & | rhs | ) |

Assignment operator.

## Member Data Documentation

int* CglBK::candidates_
| private

Current candidates (created at each level)

Definition at line 515 of file CglPreProcess.hpp.

char* CglBK::mark_
| private

Array to mark stuff.

Definition at line 517 of file CglPreProcess.hpp.

CoinBigIndex* CglBK::start_
| private

Starts for graph (numberPossible+1)

Definition at line 519 of file CglPreProcess.hpp.

int* CglBK::otherColumn_
| private

Other column/node.

Definition at line 521 of file CglPreProcess.hpp.

int* CglBK::originalRow_
| private

Original row (in parallel with otherColumn_)

Definition at line 523 of file CglPreProcess.hpp.

int* CglBK::dominated_
| private

How many times each original row dominated.

Definition at line 525 of file CglPreProcess.hpp.

CoinPackedMatrix* CglBK::cliqueMatrix_
| private

Clique entries.

Definition at line 527 of file CglPreProcess.hpp.

const char* CglBK::rowType_
| private

points to row types

Definition at line 529 of file CglPreProcess.hpp.

int CglBK::numberColumns_
| private

Number of original columns.

Definition at line 531 of file CglPreProcess.hpp.

int CglBK::numberRows_
| private

Number of original rows.

Definition at line 533 of file CglPreProcess.hpp.

int CglBK::numberPossible_
| private

Number possible.

Definition at line 535 of file CglPreProcess.hpp.

int CglBK::numberCandidates_
| private

Current number of candidates.

Definition at line 537 of file CglPreProcess.hpp.

int CglBK::firstNot_
| private

First not (stored backwards from numberPossible_)

Definition at line 539 of file CglPreProcess.hpp.

int CglBK::numberIn_
| private

Current number in clique.

Definition at line 541 of file CglPreProcess.hpp.

int CglBK::left_
| private

For acceleration.

Definition at line 543 of file CglPreProcess.hpp.

int CglBK::lastColumn_
| private

Definition at line 544 of file CglPreProcess.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Cgl/src/CglPreProcess/CglPreProcess.hpp